use crate::schema::*;
use diesel::prelude::*;

#[derive(Queryable)]
#[diesel(table_name = location)]
#[diesel(primary_key(tag))]
pub struct RLocation {
    pub tag: String,
    pub nombre: Option<String>,
    pub descripcion: String,
}

#[derive(Queryable, Insertable, Debug)]
#[diesel(table_name = object)]
#[diesel(primary_key(tag))]
pub struct RObject {
    pub tag: String,
    pub tipo: String,
    pub nombre: String,
    pub descripcion: String,
    pub location: String,
    pub peso: i32,
    pub destino: Option<String>,
    pub condiciones: Vec<Option<String>>,
}

#[derive(Queryable, Insertable, AsChangeset)]
#[diesel(table_name = player)]
#[diesel(primary_key(tag))]
pub struct Player {
    pub tag: String,
    pub nombre: String,
    pub descripcion: String,
    pub location: String,
    pub ca: i32,
    pub ba: i32,
    pub hp: i32,
}

#[derive(Queryable, Insertable)]
#[diesel(table_name = npc)]
#[diesel(primary_key(tag))]
pub struct Rnpc {
    pub tag: String,
    pub nombre: String,
    pub descripcion: String,
    pub location: String,
    pub ca: i32,
    pub ba: i32,
    pub hp: i32,
}
